{
  "name": "printerest",
  "description": "",
  "created_at": "2026-04-02T03:09:41.868Z",
  "credentials": {
    "description": "登录凭据列表，执行时按顺序轮换使用",
    "accounts": [
      {
        "username": "dealperfectcs005@gmail.com",
        "password": "EIkdir3&3jkreu"
      },
      {
        "username": "fangfiona472@gmail.com",
        "password": "Fangziyue123!"
      }
    ],
    "currentIndex": 1,
    "rotateMode": "sequential"
  },
  "multimediaSettings": {
    "enabled": true,
    "description": "多媒体发布配置",
    "apiConfig": {
      "url": "http://192.168.1.50:5678/webhook/snsGenerator",
      "method": "GET",
      "keyMapping": {
        "website": "website",
        "url": "url",
        "postTitle": "postTitle",
        "postContent": "postContent",
        "keywords": "keywords",
        "randomImageUrl": "randomImageUrl"
      }
    },
    "manualData": []
  },
  "steps": [
    {
      "type": "navigate",
      "url": "https://www.pinterest.com/",
      "timestamp": "2026-04-02T03:08:20.667Z"
    },
    {
      "type": "click",
      "selector": "[data-test-id=\"simple-login-button\"] button",
      "error_handling": {
        "enabled": true,
        "jump_to_step": 8
      }
    },
    {
      "type": "click",
      "selector": "#email",
      "selectorAlternatives": [],
      "pathInfo": {
        "tag": "input",
        "class": "VTVmV8 q3kIpX g0zfi1 zNJ6Me c3eeZM SAFklo fjBvc0 EYma4O hxKTA7 mm0O_j VpxGtC glzo1E btwCoE",
        "id": "email",
        "text": "",
        "type": "email",
        "parent": {
          "tag": "div",
          "class": "urH_ll",
          "id": ""
        }
      },
      "tagName": "input",
      "timestamp": "2026-04-02T03:08:31.717Z",
      "url": "https://www.pinterest.com/"
    },
    {
      "type": "input",
      "selector": "#email",
      "value_type": "登录凭证",
      "value": "{{SEQUENTIAL_USERNAME}}"
    },
    {
      "type": "click",
      "selector": "#password",
      "selectorAlternatives": [],
      "pathInfo": {
        "tag": "input",
        "class": "VTVmV8 q3kIpX g0zfi1 zNJ6Me c3eeZM SAFklo fjBvc0 EYma4O hxKTA7 mm0O_j VpxGtC glzo1E hPj47J",
        "id": "password",
        "text": "",
        "type": "password",
        "parent": {
          "tag": "div",
          "class": "urH_ll",
          "id": ""
        }
      },
      "tagName": "input",
      "timestamp": "2026-04-02T03:08:37.404Z",
      "url": "https://www.pinterest.com/"
    },
    {
      "type": "input",
      "selector": "#password",
      "value_type": "登录凭证",
      "value": "{{SEQUENTIAL_PASSWORD}}"
    },
    {
      "type": "click",
      "selector": "[type=\"submit\"]",
      "selectorAlternatives": [
        {
          "selector": "[data-test-id=\"registerFormSubmitButton\"] button",
          "type": "ancestor-tag",
          "isXPath": false,
          "confidence": 75
        }
      ],
      "pathInfo": {
        "tag": "button",
        "class": "G0yGFD ap8aAM Q3hcOU gwpqhu E6J5D_ CNPSpi O0u6sV",
        "id": "",
        "text": "登录",
        "type": "submit",
        "parent": {
          "tag": "div",
          "class": "ADXRXN",
          "id": ""
        }
      },
      "tagName": "button",
      "timestamp": "2026-04-02T03:08:41.118Z",
      "url": "https://www.pinterest.com/"
    },
    {
      "type": "click",
      "selector": "#Create-Pin",
      "selectorAlternatives": [],
      "pathInfo": {
        "tag": "div",
        "class": "ADXRXN B3GZzn dHA5K0 i1hWBD qzrGlv zEVE_X",
        "id": "Create-Pin",
        "text": "PinPost your photos or videos and add links, stick",
        "type": "",
        "parent": {
          "tag": "a",
          "class": "etmDmh",
          "id": ""
        }
      },
      "tagName": "div",
      "timestamp": "2026-04-02T03:08:52.716Z",
      "url": "https://www.pinterest.com/"
    },
    {
      "type": "navigate",
      "url": "https://www.pinterest.com/pin-creation-tool/",
      "timestamp": "2026-04-02T03:08:52.972Z"
    },
    {
      "type": "fileUpload",
      "selector": "#storyboard-upload-input",
      "fileSourceType": "多媒体数据",
      "filePath": "{{MULTIMEDIA_API:randomImageUrl}}"
    },
    {
      "type": "input",
      "selector": "#storyboard-selector-title",
      "value_type": "多媒体变量",
      "value": "{{MULTIMEDIA_API:postTitle}}"
    },
    {
      "type": "input",
      "selector": "#WebsiteField",
      "value_type": "多媒体变量",
      "value": "{{MULTIMEDIA_API:url}}"
    },
    {
      "type": "click",
      "selector": "//div[contains(text(), 'Choose a board')]",
      "selectorAlternatives": [
        {
          "selector": "//div[contains(text(), 'Choose a board')]",
          "isXPath": true,
          "confidence": 85
        },
        {
          "selector": "[data-test-id=\"board-dropdown-select-button\"] div:nth-of-type(1)",
          "type": "ancestor-tag-index",
          "isXPath": false,
          "confidence": 70
        }
      ],
      "pathInfo": {
        "tag": "div",
        "class": "ADXRXN",
        "id": "",
        "text": "Choose a board",
        "type": "",
        "parent": {
          "tag": "div",
          "class": "Q3hcOU",
          "id": ""
        }
      },
      "tagName": "div",
      "timestamp": "2026-04-02T03:09:13.941Z",
      "url": "https://www.pinterest.com/pin-creation-tool/"
    },
    {
      "type": "click",
      "selector": "[data-test-id=\"board-row-ppt-outdoor\"]",
      "selectorAlternatives": [
        {
          "selector": "//div[contains(text(), 'ppt-outdoor')]",
          "isXPath": true,
          "confidence": 85
        }
      ],
      "pathInfo": {
        "tag": "div",
        "class": "ADXRXN Lo7aEl MJ_eMy To17G1 ekBBbl gHrR3r h2QNmC sSBu24 saDmEv zEVE_X zi0MV2",
        "id": "",
        "text": "ppt-outdoor",
        "type": "",
        "parent": {
          "tag": "div",
          "class": "Q3hcOU",
          "id": ""
        }
      },
      "tagName": "div",
      "timestamp": "2026-04-02T03:09:17.078Z",
      "url": "https://www.pinterest.com/pin-creation-tool/"
    },
    {
      "type": "click",
      "selector": ".Q3hcOU:nth-of-type(33) .ADXRXN:nth-of-type(289)",
      "error_handling": {
        "enabled": true,
        "jump_to_step": 15
      }
    },
    {
      "type": "click",
      "selector": "[data-test-id=\"storyboard-creation-nav-done\"] button",
      "selectorAlternatives": [],
      "pathInfo": {
        "tag": "button",
        "class": "G0yGFD ap8aAM Q3hcOU gwpqhu itmoZr GaMK1V O0u6sV",
        "id": "",
        "text": "Publish",
        "type": "button",
        "parent": {
          "tag": "div",
          "class": "ADXRXN",
          "id": ""
        }
      },
      "tagName": "button",
      "timestamp": "2026-04-02T03:09:31.861Z",
      "url": "https://www.pinterest.com/pin-creation-tool/"
    }
  ],
  "id": "72d1b9f9-f3c5-4c9a-8b73-b5d9758e1a66",
  "updated_at": "2026-04-02T20:53:18.036779"
}